首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Can I use?
http://caniuse.com/
Less
http://lesscss.org
Cool Libraries
Bootstrap from Twitter
Jetstrap
V2EX  ›  CSS

有关于 flexbox 与 safari 的兼容性的问题

  •  
  •   DoraJDJ · 2016-08-14 18:28:59 +08:00 · 3230 次点击
    这是一个创建于 1036 天前的主题,其中的信息可能已经有所发展或是发生改变。

    事情是这样的,刚才我翻邮件的时候发现有人告诉我我的博客样式出现了一些问题:

    他还在邮件里贴出了他的浏览器 UA ,看了一下是 Safari 浏览器。

    因为我没有 Mac 系电脑,我只能通过其他浏览器试图模仿出他所遇到的问题。

    在开发者工具内乱搞了一下,发现当 flexbox 的开关关掉后,就能重现出他所述的问题。

    奇怪的是,他所使用的浏览器版本是 8.0.5 (在某个 UA 分析站上分析到的),可是在 caniuse.com 里查到 flexbox 在 Safari 8 里是可用的,但是要加 -webkit- 的前缀。

    我目前使用的样式( Semantic UI )里,有关 flexbox 的参数里都有 -webkit- 之类的前缀。

    我现在有点纳闷,既然 Safari 8 支持 flexbox ,那为什么对方在访问我的网站时还是会出现问题?

    5 回复  |  直到 2016-08-29 13:33:41 +08:00
        1
    skydiver   2016-08-14 19:24:45 +08:00 via iPad
    @JoyNeop 当事人来解释一下吧……
        2
    chemzqm   2016-08-14 21:25:45 +08:00
    你看清楚,它只加了 -ms- 前缀,并没有 display: -webkit-flexbox
        3
    DoraJDJ   2016-08-14 21:28:49 +08:00 via Android
    @chemzqm display 必须是 -webkit-flexbox 才能在旧版本的 Safari 用 flexbox 吗?
        4
    SourceMan   2016-08-14 21:38:10 +08:00 via iPhone
    所以就得靠 autoprefxer
        5
    JoyNeop   2016-08-29 13:33:41 +08:00
    @skydiver なにもしらないけど(
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3313 人在线   最高记录 5043   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 23ms · UTC 04:47 · PVG 12:47 · LAX 21:47 · JFK 00:47
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1